Crazy Eddies GUI System: CEGUI::GUILayout_xmlHandler Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CEGUI::GUILayout_xmlHandler Class Reference

Handler class used to parse the GUILayout XML files using SAX2. More...

Inheritance diagram for CEGUI::GUILayout_xmlHandler:
[legend]
Collaboration diagram for CEGUI::GUILayout_xmlHandler:
[legend]

List of all members.

## Public Member Functions
| GUILayout_xmlHandler (const String &name_prefix, PropertyCallback *callback=0, void *userdata=0)
| Constructor for GUILayout_xmlHandler objects.
virtual | ~GUILayout_xmlHandler (void)
| Destructor for GUILayout_xmlHandler objects.
virtual void | elementStart (const String &element, const XMLAttributes &attributes)
| document processing (only care about elements, schema validates format)
virtual void | elementEnd (const String &element)
| Method called to notify the handler at the end of each XML element encountered.
virtual void | text (const String &text)
| Method called to notify text node, several successiv text node are agregated.
void | cleanupLoadedWindows (void)
| Destroy all windows created so far.
Window * | getLayoutRootWindow (void) const
| Return a pointer to the 'root' window created.

## Detailed Description

Handler class used to parse the GUILayout XML files using SAX2.

## Member Function Documentation

virtual void CEGUI::GUILayout_xmlHandler::elementEnd | ( | const String & | element | ) | `[virtual]`

Method called to notify the handler at the end of each XML element encountered.

Parameters:

  element | String object holding the name of the element that is ending.

Returns:
  Nothing.

Reimplemented from CEGUI::XMLHandler.

virtual void CEGUI::GUILayout_xmlHandler::text | ( | const String & | text | ) | `[virtual]`

Method called to notify text node, several successiv text node are agregated.

Parameters:

  text | String object holding the content of the text node.

Returns:
  Nothing.

Reimplemented from CEGUI::XMLHandler.